Package org.apache.catalina.mbeans

## Class ConnectorMBean

- java.lang.Object
- - org.apache.tomcat.util.modeler.BaseModelMBean
  - - org.apache.catalina.mbeans.BaseCatalinaMBean<T>
    - - org.apache.catalina.mbeans.ClassNameMBean<Connector>
      - - org.apache.catalina.mbeans.ConnectorMBean

All Implemented Interfaces:
  `javax.management.DynamicMBean`, `javax.management.MBeanRegistration`, `javax.management.modelmbean.ModelMBeanNotificationBroadcaster`, `javax.management.NotificationBroadcaster`

    public class ConnectorMBean
    extends ClassNameMBean<Connector>

A ModelMBean implementation for the `org.apache.coyote.tomcat5.CoyoteConnector` component.

Author:
  Amy Roh

### Field Summary

### Fields inherited from class org.apache.tomcat.util.modeler.BaseModelMBean

`attributeBroadcaster, generalBroadcaster, managedBean, oname, resource, resourceType`

### Constructor Summary

Constructors
`ConnectorMBean()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `getAttribute​(java.lang.String name)` Obtain and return the value of a specific attribute of this MBean.
`void` `setAttribute​(javax.management.Attribute attribute)` Set the value of a specific attribute of this MBean.

### Methods inherited from class org.apache.catalina.mbeans.ClassNameMBean

`getClassName`

### Methods inherited from class org.apache.catalina.mbeans.BaseCatalinaMBean

`doGetManagedResource, newInstance`

### Methods inherited from class org.apache.tomcat.util.modeler.BaseModelMBean

`addAttributeChangeNotificationListener, addNotificationListener, getAttributes, getJmxName, getManagedResource, getMBeanInfo, getModelerType, getNotificationInfo, getObjectName, invoke, postDeregister, postRegister, preDeregister, preRegister, removeAttributeChangeNotificationListener, removeNotificationListener, sendAttributeChangeNotification, sendAttributeChangeNotification, sendNotification, sendNotification, setAttributes, setManagedBean, setManagedResource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ConnectorMBean

    public ConnectorMBean()

### Method Detail

#### getAttribute

    public java.lang.Object getAttribute​(java.lang.String name)
                                  throws javax.management.AttributeNotFoundException,
                                         javax.management.MBeanException,
                                         javax.management.ReflectionException

Obtain and return the value of a specific attribute of this MBean.

Specified by:
  `getAttribute` in interface `javax.management.DynamicMBean`
Overrides:
  `getAttribute` in class `BaseModelMBean`
Parameters:
  `name` - Name of the requested attribute
Throws:
  `javax.management.AttributeNotFoundException` - if this attribute is not supported by this MBean
  `javax.management.MBeanException` - if the initializer of an object throws an exception
  `javax.management.ReflectionException` - if a Java reflection exception occurs when invoking the getter

#### setAttribute

    public void setAttribute​(javax.management.Attribute attribute)
                      throws javax.management.AttributeNotFoundException,
                             javax.management.MBeanException,
                             javax.management.ReflectionException

Set the value of a specific attribute of this MBean.

Specified by:
  `setAttribute` in interface `javax.management.DynamicMBean`
Overrides:
  `setAttribute` in class `BaseModelMBean`
Parameters:
  `attribute` - The identification of the attribute to be set and the new value
Throws:
  `javax.management.AttributeNotFoundException` - if this attribute is not supported by this MBean
  `javax.management.MBeanException` - if the initializer of an object throws an exception
  `javax.management.ReflectionException` - if a Java reflection exception occurs when invoking the getter